LambdaGetPrice:
  Type: AWS::IAM::Role
  Properties:
    RoleName: LambdaGetPrice
    AssumeRolePolicyDocument: ${file(infra/iam/policies/assume-role.yml):assume-role}
    ManagedPolicyArns:
      - arn:aws:iam::aws:policy/service-role/AWSLambdaBasicExecutionRole
    Policies:
      - ${file(infra/iam/policies/access-s3.yml):access-s3}
LambdaGetBestFit:
  Type: AWS::IAM::Role
  Properties:
    RoleName: LambdaGetBestFit
    AssumeRolePolicyDocument: ${file(infra/iam/policies/assume-role.yml):assume-role}
    ManagedPolicyArns:
      - arn:aws:iam::aws:policy/service-role/AWSLambdaBasicExecutionRole
    Policies:
      - ${file(infra/iam/policies/access-s3.yml):access-s3}
LambdaGetTransactionFile:
  Type: AWS::IAM::Role
  Properties:
    RoleName: LambdaGetTransactionFile
    AssumeRolePolicyDocument: ${file(infra/iam/policies/assume-role.yml):assume-role}
    ManagedPolicyArns:
      - arn:aws:iam::aws:policy/service-role/AWSLambdaBasicExecutionRole
LambdaGetManualInput:
  Type: AWS::IAM::Role
  Properties:
    RoleName: LambdaGetManualInput
    AssumeRolePolicyDocument: ${file(infra/iam/policies/assume-role.yml):assume-role}
    ManagedPolicyArns:
      - arn:aws:iam::aws:policy/service-role/AWSLambdaBasicExecutionRole
LambdaGetRedemptionCapacity:
  Type: AWS::IAM::Role
  Properties:
    RoleName: LambdaGetRedemptionCapacity
    AssumeRolePolicyDocument: ${file(infra/iam/policies/assume-role.yml):assume-role}
    ManagedPolicyArns:
      - arn:aws:iam::aws:policy/service-role/AWSLambdaBasicExecutionRole
LambdaGetGCRMRiskClass:
  Type: AWS::IAM::Role
  Properties:
    RoleName: LambdaGetGCRMRiskClass
    AssumeRolePolicyDocument: ${file(infra/iam/policies/assume-role.yml):assume-role}
    ManagedPolicyArns:
      - arn:aws:iam::aws:policy/service-role/AWSLambdaBasicExecutionRole
    Policies:
      - ${file(infra/iam/policies/access-s3.yml):access-s3}
LambdaGetPolicyResult:
  Type: AWS::IAM::Role
  Properties:
    RoleName: LambdaGetPolicyResult
    AssumeRolePolicyDocument: ${file(infra/iam/policies/assume-role.yml):assume-role}
    ManagedPolicyArns:
      - arn:aws:iam::aws:policy/service-role/AWSLambdaBasicExecutionRole
    Policies:
      - ${file(infra/iam/policies/access-s3.yml):access-s3}
LambdaCreateMambuLoan:
  Type: AWS::IAM::Role
  Properties:
    RoleName: LambdaCreateMambuLoan
    AssumeRolePolicyDocument: ${file(infra/iam/policies/assume-role.yml):assume-role}
    ManagedPolicyArns:
      - arn:aws:iam::aws:policy/service-role/AWSLambdaBasicExecutionRole
      - arn:aws:iam::aws:policy/service-role/AWSLambdaVPCAccessExecutionRole
    Policies:
      - ${file(infra/iam/policies/access-s3.yml):access-s3}
